# DescribeBackendHealth

## 1. API Description

This API (DescribeBackendHealth) is used to query the bound backend server list of a load balancer.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                   |
| -------------- | -------- | ------ | --------------------------------------------------------------------------------------------- |
| loadBalancerId | Yes      | String | Load balance instance ID.                                                                     |
| listenerId     | No       | String | <p>Load balance listener ID.</p><p>If not specified, all backend servers will be queried.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                                                                             | Description                                                                                                           |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                                                           | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| backends       | Array of [ListenerBackendHealth](https://docs.console.zenlayer.com/api-reference/networking/datastructure#listenerbackendhealth) | Health state of backend servers.                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the health state of all bound backend servers of a load balancer.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBackendHealth
<Common Request Params>

Request：
{
  "loadBalancerId": "<loadBalancerId>"
}

Response：
{
  "requestId": "T23120DD8-C59C-4919-8F73-E3F3892D3CDC",
  "response": {
    "requestId": "T23120DD8-C59C-4919-8F73-E3F3892D3CDC",
    "backends": [
      {
        "listenerId": "<listenerId>",
        "protocol": "TCP",
        "instanceId": "<instanceId>",
        "backendPort": 1,
        "listenerName": "Listener-TCP-01",
        "weight": 100,
        "listenerPort": "8080",
        "privateIpAddress": "10.0.0.1"
        "healthStatus": "Alive"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
